# Generated from crypt-fog-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crypt-fog

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: crypt-fog is a simple encryption mechanism, but slightly better than Rot13.  It's primary goal is to provide a reasonable amount of obfuscation without having to resort to public/private key exchanges, etc
License: Artistic-2.0
URL: https://github.com/djberg96/crypt-fog
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 3.2
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
A simple string encryption scheme.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/fogenc
%{gem_instdir}/CHANGES.md
%{gem_instdir}/MANIFEST.md
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/crypt-fog.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.3-1
- Initial package
